<div class="row mb-3 px-3">
  <div class="col-sm-3">
    <!--    <button type="button" class="btn btn-primary btn-sm text-left" data-bs-toggle="modal"-->
    <!--            data-bs-target="#filterModal">Filter Profiles-->
    <!--    </button>&nbsp;&nbsp;-->
    <!--    <button type="button" class="btn btn-warning btn-sm text-left" *ngIf="searchOn"-->
    <!--            (click)="loadTable();"><i-->
    <!--      class="fa fa-times-circle-o" aria-hidden="true"></i>&nbsp;Clear-->
    <!--    </button>-->
    <form>
      <div class="form-group form-inline">
        <label class="form-label">Search</label>
        <input class="form-control ml-2" type="text" [formControl]="filterMe"/>
      </div>
    </form>
  </div>
  <div class="col-sm-6">

  </div>
  <div class="col-sm-3 text-right">
    <button type="button" class="btn btn-primary btn-sm text-right hvr-grow" routerLink="/profile/add-profile">Add
      profile
    </button>
  </div>
</div>
<div class="card">
  <div class="card-body">

    <div class="row">
      <div class="table-responsive-lg">
        <table class="table datatable-table" id="tableOfProfiles"
               infiniteScroll
               [infiniteScrollDistance]="2"
               [infiniteScrollThrottle]="75"
               [scrollWindow]="true"
               (scrolledUp)="onScrollUp()"
               (scrolled)="loadNextPage()">
          <thead>
          <tr>
            <th scope="col" [appSort]="profiles" data-order="desc" data-name="name">
              Name&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th scope="col" [appSort]="profiles" data-order="desc" data-name="skillSet">
              Skill set&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th scope="col" [appSort]="profiles" data-order="desc" data-name="experience">
              Experience&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th scope="col" [appSort]="profiles" data-order="desc" data-name="contactNumber">
              Contact number&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th class="center" scope="col" [appSort]="profiles" data-order="desc" data-name="status">
              Status&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th class="center">Download CV</th>
            <th class="center">Actions</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let profile of profiles$ | async; index as i">
            <td>
              <a class="no-link text-primary" [routerLink]="['/profile/view-profile', profile.key]">
                <ngb-highlight [result]="profile.name"
                               [term]="filterMe.value"></ngb-highlight>
              </a>
            </td>
            <td>
              <ngb-highlight [result]="profile.skillSet"
                             [term]="filterMe.value"></ngb-highlight>
            </td>
            <td>
              <ngb-highlight [result]="profile.experience"
                             [term]="filterMe.value"></ngb-highlight>
              <span *ngIf="checkYears(profile?.experience)"> years</span>
            </td>
            <td>
              <ngb-highlight [result]="profile.contactNumber"
                             [term]="filterMe.value"></ngb-highlight>
            </td>
            <td class="center">
            <span class="badge"
                  [ngClass]="{'bg-danger': profile.status === 'Offer Rejected', 'bg-success': profile.status !== 'Offer Rejected'}"><ngb-highlight
              [result]="profile.status"
              [term]="filterMe.value"></ngb-highlight></span>
            </td>
            <td class="center">
              <a [attr.href]="profile.resume" download>
                <button class="btn-primary btn-sm btn hvr-shrink br50" *ngIf="profile?.resume">
                  <i class="fa fa-cloud-download" title="Download CV"></i>
                </button>
              </a>
            </td>
            <td class="center">
              <div class="btn-group" role="group" aria-label="Basic example">
                <button class="btn-info btn-sm btn hvr-shrink" [routerLink]="['/profile/view-profile', profile.key]"
                        title="View Profile"><span><i class="fa fa-eye" aria-hidden="true"></i></span>
                </button>
                <button class="btn-warning btn-sm btn hvr-shrink" [routerLink]="['/profile/edit-profile', profile.key]"
                        title="Edit Profile"><span><i
                  class="fa fa-pencil-square-o"
                  aria-hidden="true"></i></span>
                </button>
                <button class="btn-danger btn-sm btn hvr-shrink" (click)="profileValue = profile" data-bs-toggle="modal"
                        data-bs-target="#deleteModal" title="Delete Profile"><span><i class="fa fa-trash"
                                                                                      aria-hidden="true"></i></span>
                </button>
              </div>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>

<!-- Mail Modal -->
<div class="modal fade" id="mailModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="SendAMail" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header modal-theme">
        <h5 class="modal-title" id="staticBackdropLabel">Send a Mail</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="row mb-1">
          <div class="col-sm-1"><label for="toList" class="form-label star pt-1">To:</label>&nbsp;&nbsp;</div>
          <div class="col-sm-10">
            <input type="text" class="form-control" name="toList" id="toList" [(ngModel)]="toList">
          </div>
        </div>
        <div class="row mb-1">
          <div class="col-sm-1"><label for="subject" class="form-label star pt-1">Subject:</label>&nbsp;&nbsp;</div>
          <div class="col-sm-10">
            <input type="text" class="form-control" name="subject" id="subject" [(ngModel)]="subject">
          </div>
        </div>
        <div class="mt-1 mb-1">
          <quill-editor [modules]="modules" [styles]="{height: '250px'}" [(ngModel)]="mailContent">
          </quill-editor>
        </div>
      </div>
      <div class="modal-footer center">
        <button type="button" class="btn btn-primary btn-sm hvr-shrink"
                [disabled]="mailContent === '' || toList === '' || subject === ''" (click)="sendMail()">Send Now
        </button>&nbsp;&nbsp;
        <button type="button" class="btn btn-secondary btn-sm hvr-shrink" data-bs-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>


<!-- Delete Modal -->
<div class="modal fade" id="deleteModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="SendAMail" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header bg-danger">
        <h5 class="modal-title text-white" id="delete">Delete profile</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="mt-1 mb-1">
          <h6 class="text-danger">Are you sure, you want to delete this profile? Data cannot be restored again. Please
            confirm.</h6>
        </div>
        <div class="mt-1 mb-1">
          <div class="alert alert-warning">
            <div class="row">
              <div class="col-sm-6">
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Name:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.name}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Email:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.email}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Experience:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.experience}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Contact Number:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.contactNumber}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Resume:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    <a [attr.href]="profileValue?.resume" download>
                      <button class="btn btn-warning btn-sm text-white hvr-shrink" *ngIf="profileValue?.resume">
                        <i class="fa fa-cloud-download" title="Download CV"></i>&nbsp;Download
                      </button>
                    </a>
                    <span class="text-danger"
                          *ngIf="!profileValue?.resume">Sorry! No resume available for this profile</span>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Referral Method:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.referralMethod}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Referred By:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.referredBy}}
                  </div>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Status:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                  <span class="badge"
                        [ngClass]="{'bg-success': profileValue?.status !== 'Offer Rejected', 'bg-danger': profileValue?.status === 'Offer Rejected'}">{{profileValue?.status}}</span>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Current Company:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.currentCompany}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Skill Set:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.skillSet}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Whatsapp Number:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.alternateContactNumber}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Notice Period:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.noticePeriod}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Last Date:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.lastDate}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">EP Number#:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{profileValue?.EPNumber}}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer center">
        <form>
          <button type="button" class="btn btn-danger btn-sm hvr-shrink"
                  data-bs-dismiss="modal" (click)="deleteProfile()">Confirm
          </button>&nbsp;&nbsp;
          <button type="button" class="btn btn-secondary btn-sm hvr-shrink" data-bs-dismiss="modal">Close</button>&nbsp;&nbsp;
        </form>
      </div>
    </div>
  </div>
</div>


<!-- Filter Modal -->
<div class="modal fade" id="filterModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="SendAMail" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <form class="form" [formGroup]="filterProfilesForm" (ngSubmit)="filterProfiles(filterProfilesForm.value)">
        <div class="modal-header modal-theme">
          <h5 class="modal-title" id="filterTitle">Filter profiles</h5>
          <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <div class="row mb-1">
            <div class="col-sm-4"><label for="toList" class="form-label pt-1">Name</label>
              <input type="text" class="form-control" name="name" id="name" formControlName="name"></div>
            <div class="col-sm-4">
              <label for="toList" class="form-label pt-1">Skill set</label>
              <select class="form-select" formControlName="skillSet" id="skillSet" required>
                <option value="" selected>Please select</option>
                <option value="Android">Android</option>
                <option value="Angular">Angular</option>
                <option value="Automation Testing">Automation Testing</option>
                <option value="Bigdata">Bigdata</option>
                <option value="DevOps">DevOps</option>
                <option value="Dot Net">Dot Net</option>
                <option value="Java">Java</option>
                <option value="Java Full stack">Java Full stack</option>
                <option value="IOS">iOS</option>
                <option value="Manual Testing">Manual Testing</option>
                <option value="Mobile Testing">Mobile Testing</option>
                <option value="Mainframe">Mainframe</option>
                <option value="Oracle DB Administrator">Oracle DB Administrator</option>
                <option value="Oracle DB Developer">Oracle DB Developer</option>
                <option value="React JS">React JS</option>
              </select>
            </div>
            <div class="col-sm-4">
              <label for="toList" class="form-label pt-1">Experience</label>
              <input type="text" class="form-control" name="experience" id="experience" formControlName="experience">

            </div>
          </div>
          <div class="row mb-1">
            <div class="col-sm-4"><label for="toList" class="form-label pt-1">Current Company</label>
              <select class="form-select" formControlName="currentCompany" id="currentCompany" required>
                <option value="" selected>Please select</option>
                <option *ngFor="let title of defaultValues?.companiesList"
                        [value]="title">
                  {{title}}
                </option>
              </select>
            </div>
            <div class="col-sm-4">
              <label for="toList" class="form-label pt-1">Notice Period</label>
              <select class="form-select" formControlName="noticePeriod" id="noticePeriod" required>
                <option value="" selected>Please select</option>
                <option value="10 days">10 days</option>
                <option value="15 days">15 days</option>
                <option value="30 days">30 days</option>
                <option value="45 days">45 days</option>
                <option value="60 days">60 days</option>
                <option value="70 days">70 days</option>
                <option value="80 days">80 days</option>
                <option value="90 days">90 days</option>
              </select>
            </div>
            <div class="col-sm-4">
              <label for="toList" class="form-label pt-1">Referral Method</label>
              <select class="form-select" formControlName="referralMethod" id="referralMethod" required>
                <option value="" selected>Please select</option>
                <option value="TCS Internal">TCS Internal</option>
                <option value="LinkedIn">LinkedIn</option>
                <option value="BYB">BYB</option>
              </select>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary btn-sm hvr-shrink" data-bs-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary btn-sm hvr-shrink">Filter results
          </button>
        </div>
      </form>
    </div>
  </div>
</div>


<!-- View Profile Modal -->
<div class="modal fade" id="viewModal" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="ViewProfile" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header modal-theme">
        <h5 class="modal-title text-white" id="profile">{{profileValue?.name}}</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="mt-1 mb-1">
          <div class="row">
            <div class="col-sm-6">
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Name:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.name}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Email:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.email}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Experience:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.experience}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Contact Number:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.contactNumber}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Resume:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  <a [attr.href]="profileValue?.resume" download>
                    <button class="btn btn-warning btn-sm text-white hvr-shrink" *ngIf="profileValue?.resume">
                      <i class="fa fa-cloud-download" title="Download CV"></i>&nbsp;Download
                    </button>
                  </a>
                  <span class="text-danger"
                        *ngIf="!profileValue?.resume">Sorry! No resume available for this profile</span>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Referral Method:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.referralMethod}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Referred By:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.referredBy}}
                </div>
              </div>
            </div>
            <div class="col-sm-6">
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Status:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  <span class="badge"
                        [ngClass]="{'bg-success': profileValue?.status !== 'Offer Rejected', 'bg-danger': profileValue?.status === 'Offer Rejected'}">{{profileValue?.status}}</span>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Current Company:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.currentCompany}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Skill Set:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.skillSet}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Alternate Number:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.alternateContactNumber}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Notice Period:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.noticePeriod}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Last Date:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.lastDate}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">EP Number#:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profileValue?.EPNumber}}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer center">
        <button type="button" class="btn btn-secondary btn-sm hvr-shrink" data-bs-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

<style>

  ::ng-deep .ngb-highlight {
    background-color: yellow;
  }

  ::ng-deep .my-custom-class .tooltip-inner {
    background-color: aliceblue;
  }

  ::ng-deep .my-custom-class .arrow::before {
    border-top-color: aliceblue;
  }
</style>
